---
- name: Set default facts for K8S
  ansible.builtin.set_fact:
    k8s_config: "{{ K8S_KUBECONFIG_PATH }}/{{ inv_ml.ns_kubeconfig }}"
    k8s_context: "{{ inv_k8s.config.context }}"
    k8s_namespace: "{{ inv_ml.ns_name }}"

# - name: Set facts for Loki Helm chart
#   ansible.builtin.set_fact:
#     monitoring_loki_helm_repo_name: "{{ ml_loki.helm_repo_name }}"
#     monitoring_loki_helm_repo_url: "{{ ml_loki.helm_repo_url }}"
#     monitoring_loki_helm_chart_name: "{{ ml_loki.helm_chart_name }}"
#     monitoring_loki_helm_release_name: "{{ ml_loki.helm_release_name }}"
#     monitoring_loki_helm_chart_version: "{{ ml_loki.helm_chart_version }}"

- name: "[Helm] Create the Monitoring Loki Installation"
  include_tasks: ansible-templates/k8s_tasks/k8s-helm.yml
  vars:
    helm_repo_name: "{{ ml_loki.helm_repo_name }}"
    helm_repo_url: "{{ ml_loki.helm_repo_url }}"
    helm_chart_name: "{{ ml_loki.helm_chart_name }}"
    helm_release_name: "{{ ml_loki.helm_release_name }}"
    helm_chart_reference: "{{ helm_repo_name }}/{{ helm_chart_name }}"
    helm_chart_version: "{{ ml_loki.helm_chart_version }}"
    helm_values_file: "09_monitoring_logging/loki-values.yaml.j2"
    helm_create_namespace: "{{ inv_ml.ns_create }}"

# - name: Add Loki Helm repo
#   kubernetes.core.helm_repository:
#     name: "{{ ml_loki.helm_repo_name }}"
#     url: "{{ ml_loki.helm_repo_url }}"

# - name: Install Helm package with values loaded from template
#   kubernetes.core.helm:
#     name: "{{ ml_loki.helm_release_name }}"
#     chart_ref: "{{ ml_loki.helm_repo_name }}/{{ ml_loki.helm_chart_name }}"
#     kubeconfig: "{{ k8s_config }}"
#     context: "{{ k8s_context }}"
#     release_namespace: "{{ k8s_namespace }}"
#     update_repo_cache: true
#     create_namespace: "{{ inv_ml.ns_create }}"
#     values: "{{ lookup('template', '09_monitoring_logging/loki-values.yaml.j2') | from_yaml }}"

- name: "[Helm] Create the Monitoring Promtail Installation"
  include_tasks: ansible-templates/k8s_tasks/k8s-helm.yml
  vars:
    helm_repo_name: "{{ ml_loki.helm_repo_name }}"
    helm_repo_url: "{{ ml_loki.helm_repo_url }}"
    helm_chart_name: "{{ ml_loki.helm_promtail_chart_name }}"
    helm_release_name: "{{ ml_loki.helm_promtail_release_name }}"
    helm_chart_reference: "{{ helm_repo_name }}/{{ helm_chart_name }}"
    helm_chart_version: "{{ ml_loki.helm_promtail_chart_version }}"
    helm_values_file: "09_monitoring_logging/promtail-values.yaml.j2"
    helm_create_namespace: "{{ inv_ml.ns_create }}"

# - name: Install Helm package with values loaded from template
#   kubernetes.core.helm:
#     name: "{{ ml_loki.helm_promtail_release_name }}"
#     chart_ref: "{{ ml_loki.helm_repo_name }}/{{ ml_loki.helm_promtail_chart_name }}"
#     kubeconfig: "{{ k8s_config }}"
#     context: "{{ k8s_context }}"
#     release_namespace: "{{ k8s_namespace }}"
#     update_repo_cache: true
#     create_namespace: "{{ inv_ml.ns_create }}"
#     values: "{{ lookup('template', '09_monitoring_logging/promtail-values.yaml.j2') | from_yaml }}"

